# $Id: kismet.spec 2975 2005-03-09 05:31:45Z dag $
# Authority: dag
# Upstream: <wireless$kismetwireless,net>

%define real_version 2005-04-R1

Summary: 802.11 (wireless) network sniffer and network dissector
Name: kismet
Version: 3.0.1
Release: 3.200504r1.mg
License: GPL
Group: Applications/Internet
URL: http://www.kismetwireless.net/

Packager: Jima <jima@devel.mintygreen.net>
Vendor: Minty Green Media, http://apt.mintygreen.net/

Source0: http://www.kismetwireless.net/code/kismet-%{real_version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: ncurses-devel, autoconf, flex, gcc-c++, zlib-devel, byacc

%package -n gpsmap
Summary: gpsmap generates maps from kismet datafiles
Group: Networking/Utilities
Requires: kismet = %{version}-%{release}
BuildRequires: ImageMagick-devel, gmp-devel, expat-devel, libexif-devel

%description
Kismet is an 802.11 (wireless) network sniffer and network dissector.
It is capable of sniffing using most wireless cards, automatic network
IP block detection via UDP, ARP, and DHCP packets, Cisco equipment lists
via Cisco Discovery Protocol, weak cryptographic packet logging, and
Ethereal and tcpdump compatible packet dump files.


%description -n gpsmap
Gpsmap reads Kismet's GPS and Network XML datafiles and plots networks on 
downloaded vector maps or satellite photos or user-supplied images.

Gpsmap is distributed with Kismet.

%prep
%setup -n %{name}-%{real_version}

#### FIXME: Get rid of the ownership changes (RH9)
%{__perl} -pi.orig -e '
		s|-o \$\(INSTUSR\) -g \$\(INSTGRP\) ||g;
		s|-o \$\(INSTUSR\) -g \$\(MANGRP\) ||g;
	' Makefile.in

%build
%configure
#	--enable-syspcap
%{__make} %{?_smp_mflags} dep all

%install
%{__rm} -rf %{buildroot}
%makeinstall rpm \
	ETC="%{buildroot}%{_sysconfdir}" \
	BIN="%{buildroot}%{_bindir}" \
	SHARE="%{buildroot}%{_datadir}/kismet/" \
	MAN="%{buildroot}%{_mandir}" \
	WAV="%{buildroot}%{_datadir}/kismet/wav/"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc CHANGELOG GPL README TODO docs/DEVEL.client docs/README*
%doc %{_mandir}/man?/kismet*
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/kismet*
%{_datadir}/kismet/

%files -n gpsmap
%defattr(-,root,root)
%doc docs/DEVEL.*map
%doc %{_mandir}/man?/gpsmap*
%{_bindir}/gpsmap*

%changelog
* Tue Apr 05 2005 Jima <jima@devel.mintygreen.net> - 3.0.1-3.200504r1.mg
- Split out gpsmap into its own RPM, changed real_version to 2005-04-R1
- Make fun of Dag for overlooking the latter since 2004-10-R1

* Sun Apr 03 2005 Dag Wieers <dag@wieers.com> - 3.0.1-2.200504r1 - 2975+/dag
- Updated to release 2005-04-R1.

* Thu Feb 24 2005 Dag Wieers <dag@wieers.com> - 3.0.1-2.200501r1
- Revert config directory to /etc.
- Updated to release 2005-01-R1.

* Thu Dec 23 2004 Dag Wieers <dag@wieers.com> - 3.0.1-1.200410r1
- Updated to release 2004-10-R1.

* Fri Apr 09 2004 Dag Wieers <dag@wieers.com> - 3.0.1-1.200404r1
- Updated to release 2004-04-R1.

* Tue Mar 16 2004 Dag Wieers <dag@wieers.com> - 3.0.1-1
- Updated to release 3.0.1-feb.04.01.

* Wed Aug 13 2003 Dag Wieers <dag@wieers.com> - 3.0.1-0
- Updated to release 3.0.1.

* Thu Jul 31 2003 Dag Wieers <dag@wieers.com> - 3.0.0-0
- Updated to release 3.0.0.

* Sat Jul 12 2003 Dag Wieers <dag@wieers.com> - 2.8.1-0
- Initial package. (using DAR)
